import {mergePlugins} from './mergePlugins'
import {setPlugins} from './setPlugins'
import {addPlugin} from './addPlugin'
import {mergeConfig} from './mergeConfig'
import {setConfig} from './setConfig'
import {setPresets} from './setPresets'
import {mergePresets} from './mergePresets'
import {addPreset} from './addPreset'
export const make = bud => {
  const babel = {}
  new Set([
    mergeConfig,
    setConfig,
    mergePlugins,
    setPlugins,
    addPlugin,
    mergePresets,
    setPresets,
    addPreset,
  ]).forEach(fn => {
    Object.assign(babel, {
      [fn.name]: fn.bind(bud),
    })
  })
  Object.assign(bud, {
    babel: Object.create(babel),
  })
}
//# sourceMappingURL=index.js.map
